Subject: gitignore: negating path patterns

From: Michael J Gruber <[email-masked]>
Date: Wed, 21 May 2008 16:40:23 +0200

Hi there

It seems that negating path patterns in gitignore doesn't work, or I 
don't understand it (or both). With the attached script, git status 
(1.5.5.1) reports "dir/a" as new and "dir/b" as untracked. I would 
rather expect it to report "dir/c" as untracked also.

It seems that "!b" matches to include "dir/b" (reverting the exclusion 
"*" as expected), whereas "!dir/" does not match to include "dir/c".

What's going on here?

Michael

P.S.: "*" in dir/.gitignore would do what I want, but I want all 
patterns in one place.